/**
 * @file Duplicate reject filter.
 * @memberof module:filter
 * @function duplicateRejectFilter
 * @returns {function} - Unique array.
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */

"use strict";

module.exports = function duplicateRejectFilter() {
    if (arguments.length > 1) {
        throw new Error('Invalid args.');
    }
    return function (entry, i, array) {
        return array.indexOf(entry) === i;
    }
};