/**
 * @file apeman util filtering module
 * @module apeman-util/lib/filtering
 */

"use strict";

module.exports = {
    get duplicateRejectFilter() { return require('./duplicate_reject_filter'); },
    get limitFilter() { return require('./limit_filter'); },
    get patternAcceptFilter() { return require('./pattern_accept_filter'); },
    get patternRejectFilter() { return require('./pattern_reject_filter'); },
    get skipFilter() { return require('./skip_filter'); }
};