/**
 * @file apeman-util
 * @module apeman-util/lib
 *
 * @property array {object} - {@link module:apeman-util/lib/array|array module}.
 * @property browsing {object} - {@link module:apeman-util/lib/browsing|browsing module}.
 * @property clustering {object} - {@link module:apeman-util/lib/clustering|clustering module}.
 * @property core {object} - {@link module:apeman-util/lib/core|core module}.
 * @property doNothing {object} - {@link module:apeman-util/lib/doNothing|doNothing module}.
 * @property env {object} - {@link module:apeman-util/lib/env|env module}.
 * @property ext {object} - {@link module:apeman-util/lib/ext|ext module}.
 * @property file {object} - {@link module:apeman-util/lib/file|file module}.
 * @property filtering {object} - {@link module:apeman-util/lib/filtering|filtering module}.
 * @property form {object} - {@link module:apeman-util/lib/form|form module}.
 * @property html {object} - {@link module:apeman-util/lib/html|html module}.
 * @property imaging {object} - {@link module:apeman-util/lib/imaging|imaging module}.
 * @property json {object} - {@link module:apeman-util/lib/json|json module}.
 * @property logging {object} - {@link module:apeman-util/lib/logging|logging module}.
 * @property mapping {object} - {@link module:apeman-util/lib/mapping|mapping module}.
 * @property minify {object} - {@link module:apeman-util/lib/minify|minify module}.
 * @property object {object} - {@link module:apeman-util/lib/object|object module}.
 * @property pathname {object} - {@link module:apeman-util/lib/pathname|pathname module}.
 * @property random {object} - {@link module:apeman-util/lib/random|random module}.
 * @property reducing {object} - {@link module:apeman-util/lib/reducing|reducing module}.
 * @property rendering {object} - {@link module:apeman-util/lib/rendering|rendering module}.
 * @property schemas {object} - {@link module:apeman-util/lib/schemas|schemas module}.
 * @property sorting {object} - {@link module:apeman-util/lib/sorting|sorting module}.
 * @property string {object} - {@link module:apeman-util/lib/string|string module}.
 * @property tasking {object} - {@link module:apeman-util/lib/tasking|tasking module}.
 * @property testing {object} - {@link module:apeman-util/lib/testing|testing module}.
 */

"use strict";

module.exports = {
    get array() { return require('./array'); },
    get browsing() { return require('./browsing'); },
    get clustering() { return require('./clustering'); },
    get core() { return require('./core'); },
    get doNothing() { return require('./do_nothing'); },
    get env() { return require('./env'); },
    get ext() { return require('./ext'); },
    get file() { return require('./file'); },
    get filtering() { return require('./filtering'); },
    get form() { return require('./form'); },
    get html() { return require('./html'); },
    get imaging() { return require('./imaging'); },
    get json() { return require('./json'); },
    get logging() { return require('./logging'); },
    get mapping() { return require('./mapping'); },
    get minify() { return require('./minify'); },
    get object() { return require('./object'); },
    get pathname() { return require('./pathname'); },
    get random() { return require('./random'); },
    get reducing() { return require('./reducing'); },
    get rendering() { return require('./rendering'); },
    get schemas() { return require('./schemas'); },
    get sorting() { return require('./sorting'); },
    get string() { return require('./string'); },
    get tasking() { return require('./tasking'); },
    get testing() { return require('./testing'); }
};