/**
 * @file Minify css string.
 * @memberof moudle:apeman-util/lib/minify
 * @functino minifyCssString
 * @param {string} src - Source css string.
 * @param {function} callback - Callback when done.
 * @author Taka Okunishi
 */

"use strrict";

var ext = require('../ext'),
    CleanCSS = ext.cleanCss;

/** @lends minifyCssString */
module.exports = function minifyCssString(src, callback) {
    try {
        var minified = new CleanCSS().minify(src);
        callback(null, minified);
    } catch (e) {
        callback(e);
    }
};