/**
 * @file Choice.
 * @memberof module:apeman-util/lib/random
 * @function choice
 * @author Taka Okunishi
 */

"use strict";

var u = require('../../lib'),
    array = u.array,
    random = u.random;

/** @lends choice */
module.exports = function choice(values) {
    values = array.toArray(arguments);
    var index = random.randomInt(values.length);
    return values[index];
};