/**
 * @file Camel string.
 * @memberof module:apeman-util/lib/string
 * @function camelString
 * @param {string} src - Source string.
 * @returns {string} - Camel case string.
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */

"use strict";

var c = require('./_case');
module.exports = function camelString(src) {
    return c.camel(String(src));
};