/**
 * @file Test for choice.js.
 * Runs with node unit.
 */

"use strict";

var choice = require('./../../lib/random/choice.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Choice.'] = function (test) {
    for (var i = 0; i < 10; i++) {
        test.ok(choice('foo', 'bar', 'baz'));
    }
    test.done();
};