/**
 * @file Test for force_unlink.js.
 * Runs with node unit.
 */

"use strict";

var forceUnlink = require('./../../lib/file/force_unlink.js'),
    h = require('../_helper'),
    fs = h.fs;

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Force unlink.'] = function (test) {
    var filename = h.resolveWorkFile('work_file_to_force_unlink.txt');
    fs.writeFileSync(filename);
    fs.chmodSync(filename, '444');
    forceUnlink(filename, function (err) {
        test.ifError(err);
        forceUnlink(filename, function (err) {
            test.ifError(err);
            test.done();
        });
    });
};