/**
 * @file Test for limit_filter.js.
 * Runs with node unit.
 */

"use strict";

var limitFilter = require('./../../lib/filtering/limit_filter.js'),
    h = require('../_helper');

exports['Limit filter.'] = function (test) {
    var filtered = [1, 2, 3, 4, 5].filter(limitFilter(3));
    test.equal(filtered.length, 3);
    test.throws(function () {
        [1, 2, 3].filter(limitFilter);
    });
    test.done();
};