/**
 * @file Test for load_hbs_tmpl.js.
 * Runs with node unit.
 */

"use strict";

var loadHbsTmpl = require('./../../lib/rendering/load_hbs_tmpl.js'),
    h = require('../_helper');

exports['Load hbs tmpl.'] = function (test) {
    var filename = h.resolveMockFile('mock_hbs.hbs');
    loadHbsTmpl(filename, function (err, tmpl) {
        test.ifError(err);
        test.ok(tmpl({}));
        test.done();
    });
};