/**
 * @file Test for lookup_file.js.
 * Runs with node unit.
 */

"use strict";

var lookupFile = require('./../../lib/file/lookup_file.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Lookup file.'] = function (test) {
    var filename = h.path.basename(__filename);
    lookupFile(filename, __dirname, function (err, filename) {
        test.ifError(err);
        test.ok(filename);
        lookupFile('foo_not_extis__', null, function (err) {
            test.ok(err);
            test.done();
        });
    });
};