/**
 * @file Test for minify_css_string.js.
 * Runs with node unit.
 */

"use strict";

var minifyCssString = require('./../../lib/minify/minify_css_string.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Minify css string.'] = function (test) {
    var src = "body{color:#AAA;color:#BBB};\nbody{background-color:#FFF};"
    minifyCssString(src, function (err, mini) {
        test.ifError(err);
        test.ok(mini);
        test.done();
    });
};