/**
 * @file Test for path_resolve_map.js.
 * Runs with node unit.
 */

"use strict";

var pathResolveMap = require('./../../lib/mapping/path_resolve_map.js'),
    h = require('../_helper');

exports['Path resolve map.'] = function (test) {
    var mapped = ['bar'].map(pathResolveMap('foo'));
    test.ok(mapped);
    test.throws(function () {
        [1, 2, 3].map(pathResolveMap);
    });
    test.done();
};