/**
 * @file Test for random_sort.js.
 * Runs with node unit.
 */

"use strict";

var randomSort = require('./../../lib/sorting/random_sort.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Random sort.'] = function (test) {
    var sorted = ['a', 'b', 'c'].sort(randomSort())
        .sort(randomSort())
        .sort(randomSort())
        .sort(randomSort());
    test.equal(sorted.length, 3);
    test.done();
};