/**
 * @file Test for read_json_file.js.
 * Runs with node unit.
 */

"use strict";

var readJsonFile = require('./../../lib/json/read_json_file.js'),
    h = require('../_helper');

exports['Read json file.'] = function (test) {
    var filename = h.resolveMockFile('mock-json.json');
    readJsonFile(filename, function (err, data) {
        test.ifError(err);
        test.ok(data);
        readJsonFile('__foo_ba_not__.txt', function (err, data) {
            test.ifError(err);
            test.ok(!data);
            test.done();
        });
    });
};