/**
 * @file Test for skip_filter.js.
 * Runs with node unit.
 */

"use strict";

var skipFilter = require('./../../lib/filtering/skip_filter.js'),
    h = require('../_helper');

exports['Skip filter.'] = function (test) {
    var filtered = [1, 2, 3, 4, 5].filter(skipFilter(2));
    test.equal(filtered.length, 3);
    test.throws(function () {
        [1, 2, 3].filter(skipFilter);
    });
    test.done();
};