/**
 * @file Test for snake_string.js.
 * Runs with node unit.
 */

"use strict";

var snakeString = require('./../../lib/string/snake_string.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Snake string.'] = function (test) {
    test.equal(snakeString('foo_bar'), 'foo_bar');
    test.equal(snakeString('_bar_baz'), '_bar_baz');
    test.equal(snakeString(''), '');
    test.strictEqual(snakeString(null), 'null');
    test.strictEqual(snakeString(undefined), 'undefined');
    test.done();
};