/**
 * @file Test for write_json_file.js.
 * Runs with node unit.
 */

"use strict";

var writeJsonFile = require('./../../lib/json/write_json_file.js'),
    h = require('../_helper');

exports['Write json file.'] = function (test) {
    var filename = h.resolveWorkFile('work_json_file.json');
    writeJsonFile(filename, {
        foo: 'bar'
    }, function (err) {
        test.ifError(err);
        test.ok(h.existsSync(filename));
        writeJsonFile(filename, null, function (err) {
            test.ifError(err);
            test.ok(h.existsSync(filename));
            test.done();
        });
    });
};