/**
 * @file To array.
 * @memberof module:apeman-util/lib/array
 * @function toArray
 * @param {object} iteratable - Iteratable object.(eg. arguments);
 * @returns {Array} - An array.
 * @author Taka Okunishi
 */

"use strict";

module.exports = function toArray(iteratable) {
    return Array.prototype.slice.call(iteratable, 0);
};