#!/usr/bin/env node

/**
 * Take web page screen shot with phantomjs.
 */

"use strict";


var args = require('system').args,
    url = args[1],
    filename = args[2],
    width = args[3],
    height = args[4];

var page = require('webpage').create(),
    fs = require('fs');

page.viewportSize = {
    width: width,
    height: height
};

page.open(url, function () {
    page.render(filename);
    phantom.exit();
});

