/**
 * @file Node js core modules.
 * @module apeman-util/lib/core
 * 
 * @property {object} assert - The node.js {@link http://nodejs.org/api/assert.html|assert module}. 
 * @property {object} buffer - The node.js {@link http://nodejs.org/api/buffer.html|buffer module}. 
 * @property {object} child_process - The node.js {@link http://nodejs.org/api/child_process.html|child_process module}. 
 * @property {object} cluster - The node.js {@link http://nodejs.org/api/cluster.html|cluster module}. 
 * @property {object} crypto - The node.js {@link http://nodejs.org/api/crypto.html|crypto module}. 
 * @property {object} dgram - The node.js {@link http://nodejs.org/api/dgram.html|dgram module}. 
 * @property {object} dns - The node.js {@link http://nodejs.org/api/dns.html|dns module}. 
 * @property {object} domain - The node.js {@link http://nodejs.org/api/domain.html|domain module}. 
 * @property {object} events - The node.js {@link http://nodejs.org/api/events.html|events module}. 
 * @property {object} fs - The node.js {@link http://nodejs.org/api/fs.html|fs module}. 
 * @property {object} http - The node.js {@link http://nodejs.org/api/http.html|http module}. 
 * @property {object} https - The node.js {@link http://nodejs.org/api/https.html|https module}. 
 * @property {object} net - The node.js {@link http://nodejs.org/api/net.html|net module}. 
 * @property {object} os - The node.js {@link http://nodejs.org/api/os.html|os module}. 
 * @property {object} path - The node.js {@link http://nodejs.org/api/path.html|path module}. 
 * @property {object} punycode - The node.js {@link http://nodejs.org/api/punycode.html|punycode module}. 
 * @property {object} querystring - The node.js {@link http://nodejs.org/api/querystring.html|querystring module}. 
 * @property {object} readline - The node.js {@link http://nodejs.org/api/readline.html|readline module}. 
 * @property {object} stream - The node.js {@link http://nodejs.org/api/stream.html|stream module}. 
 * @property {object} string_decoder - The node.js {@link http://nodejs.org/api/string_decoder.html|string_decoder module}. 
 * @property {object} tls - The node.js {@link http://nodejs.org/api/tls.html|tls module}. 
 * @property {object} tty - The node.js {@link http://nodejs.org/api/tty.html|tty module}. 
 * @property {object} url - The node.js {@link http://nodejs.org/api/url.html|url module}. 
 * @property {object} util - The node.js {@link http://nodejs.org/api/util.html|util module}. 
 * @property {object} vm - The node.js {@link http://nodejs.org/api/vm.html|vm module}. 
 * @property {object} zlib - The node.js {@link http://nodejs.org/api/zlib.html|zlib module}. 
 */

"use strict";

module.exports = {
    get assert() { return require('assert'); },
        get buffer() { return require('buffer'); },
        get childProcess() { return require('child_process'); },
        get cluster() { return require('cluster'); },
        get crypto() { return require('crypto'); },
        get dgram() { return require('dgram'); },
        get dns() { return require('dns'); },
        get domain() { return require('domain'); },
        get events() { return require('events'); },
        get fs() { return require('fs'); },
        get http() { return require('http'); },
        get https() { return require('https'); },
        get net() { return require('net'); },
        get os() { return require('os'); },
        get path() { return require('path'); },
        get punycode() { return require('punycode'); },
        get querystring() { return require('querystring'); },
        get readline() { return require('readline'); },
        get stream() { return require('stream'); },
        get stringDecoder() { return require('string_decoder'); },
        get tls() { return require('tls'); },
        get tty() { return require('tty'); },
        get url() { return require('url'); },
        get util() { return require('util'); },
        get vm() { return require('vm'); },
        get zlib() { return require('zlib'); }
};