/**
 * @file External modules, installed via npm.
 * @module apeman-util/lib/ext
 * 
 * @property {object} async - The npm {@link https://www.npmjs.org/package/async|async module}@^0.9.0. 
 * @property {object} case - The npm {@link https://www.npmjs.org/package/case|case module}@1.1.2. 
 * @property {object} cheerio - The npm {@link https://www.npmjs.org/package/cheerio|cheerio module}@0.18.0. 
 * @property {object} clean-css - The npm {@link https://www.npmjs.org/package/clean-css|clean-css module}@^2.2.9. 
 * @property {object} cli-color - The npm {@link https://www.npmjs.org/package/cli-color|cli-color module}@^0.3.2. 
 * @property {object} dateformat - The npm {@link https://www.npmjs.org/package/dateformat|dateformat module}@^1.0.8-1.2.3. 
 * @property {object} glob - The npm {@link https://www.npmjs.org/package/glob|glob module}@^4.0.4. 
 * @property {object} handlebars - The npm {@link https://www.npmjs.org/package/handlebars|handlebars module}@^2.0.0-alpha.4. 
 * @property {object} jjv - The npm {@link https://www.npmjs.org/package/jjv|jjv module}@^1.0.2. 
 * @property {object} minimatch - The npm {@link https://www.npmjs.org/package/minimatch|minimatch module}@1.0.0. 
 * @property {object} mkdirp - The npm {@link https://www.npmjs.org/package/mkdirp|mkdirp module}@^0.5.0. 
 * @property {object} pluralize - The npm {@link https://www.npmjs.org/package/pluralize|pluralize module}@1.0.2. 
 * @property {object} qs - The npm {@link https://www.npmjs.org/package/qs|qs module}@2.2.3. 
 * @property {object} request - The npm {@link https://www.npmjs.org/package/request|request module}@^2.37.0. 
 * @property {object} rimraf - The npm {@link https://www.npmjs.org/package/rimraf|rimraf module}@2.2.8. 
 * @property {object} tv4 - The npm {@link https://www.npmjs.org/package/tv4|tv4 module}@1.1.4. 
 * @property {object} uglify-js - The npm {@link https://www.npmjs.org/package/uglify-js|uglify-js module}@2.4.15. 
 * @property {object} uuid - The npm {@link https://www.npmjs.org/package/uuid|uuid module}@2.0.1. 
 * @property {object} yesno - The npm {@link https://www.npmjs.org/package/yesno|yesno module}@0.0.1. 
 */

"use strict";

module.exports = {
    get async() { return require('async'); },    get case() { return require('case'); },    get cheerio() { return require('cheerio'); },    get cleanCss() { return require('clean-css'); },    get cliColor() { return require('cli-color'); },    get dateformat() { return require('dateformat'); },    get glob() { return require('glob'); },    get handlebars() { return require('handlebars'); },    get jjv() { return require('jjv'); },    get minimatch() { return require('minimatch'); },    get mkdirp() { return require('mkdirp'); },    get pluralize() { return require('pluralize'); },    get qs() { return require('qs'); },    get request() { return require('request'); },    get rimraf() { return require('rimraf'); },    get tv4() { return require('tv4'); },    get uglifyJs() { return require('uglify-js'); },    get uuid() { return require('uuid'); },    get yesno() { return require('yesno'); }
};