/**
 * @file apeman util file module
 * @module apeman-util/lib/file
 */

"use strict";

module.exports = {
    get appendingStream() { return require('./appending_stream'); },
    get copyDir() { return require('./copy_dir'); },
    get copyFile() { return require('./copy_file'); },
    get forceUnlink() { return require('./force_unlink'); },
    get lookupFile() { return require('./lookup_file'); },
    get relativeSymlink() { return require('./relative_symlink'); },
    get rmdirRecursive() { return require('./rmdir_recursive'); },
    get watchAll() { return require('./watch_all'); },
    get writeReadonlyFile() { return require('./write_readonly_file'); }
};