/**
 * @file String desc sort
 * @memberof module:apeman-util/lib/sorting
 * @function stringDescSort
 * @param {string} [key] - Key of property to compare.
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */

"use strict";

var stringAscSort = require('./string_asc_sort');

/** @lends stringDescSort */
module.exports = function stringDescSort(key) {
    var sort = stringAscSort.apply(this, arguments);
    return function (a, b) {
        return sort.apply(this, arguments) * -1;
    };
};