/**
 * @file Create a snake case string.
 * @memberof module:apeman-util/lib/string
 * @function snakeString
 * @param {string} src - Source string.
 * @returns {string} - Snake case string.
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */

"use strict";

var c = require('./_case');

module.exports = function snakeString(src) {
    return c.snake(String(src));
};