/**
 * @file Test for base64_string.js.
 * Runs with node unit.
 */

"use strict";

var base64String = require('./../../lib/imaging/base64_string.js'),
    h = require('../_helper'),
    fs = require('fs');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Base64 string.'] = function (test) {
    var imageFile = h.resolveMockFile('mock-png.png');
    base64String.fromFile(imageFile, function (err, string) {
        test.ifError(err);
        test.ok(string);
        test.done();
    });
};