/**
 * @file Test for concat_reduce.js.
 * Runs with node unit.
 */

"use strict";

var concatReduce = require('./../../lib/reducing/concat_reduce.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Concat reduce.'] = function (test) {
    var reduced = ['foo', 'bar', ['baz']].reduce(concatReduce(), []);
    test.deepEqual(reduced, ['foo', 'bar', 'baz']);
    test.throws(function () {
        ['foo', 'bar', ['baz']].reduce(concatReduce, []);
    });
    test.done();
};