/**
 * @file Test for copyFile.
 * Runs with node unit.
 */

"use strict";


var copyFile = require('../../lib/file/copy_file'),
    h = require('../_helper');

exports['Error handler.'] = function (test) {
    var handler = copyFile._errorHandler(function () {
    });
    handler(null);
    handler(null);
    test.done();

};
exports['Copy a file.'] = function (test) {
    copyFile(__filename, h.resolveWorkFile('work_copy.txt'), function (err) {
        test.ifError(err);
        test.done();
    });
};