/**
 * @file Test for core.js.
 * Runs with node unit.
 */

"use strict";

var core = require('./../../lib/core/core.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Core.'] = function (test) {
    Object.keys(core).forEach(function (key) {
        test.ok(core[key]);
    });
    test.done();
};