/**
 * @file Test for duplicate_reject_filter.js.
 * Runs with node unit.
 */

"use strict";

var duplicateRejectFilter = require('./../../lib/filtering/duplicate_reject_filter.js'),
    h = require('../_helper');

exports['Duplicate reject filter.'] = function (test) {
    var filtered = [1, 3, 2, 1, 3].filter(duplicateRejectFilter());
    test.deepEqual(filtered, [1, 3, 2]);
    test.throws(function () {
        [1, 2, 3].filter(duplicateRejectFilter);
    });
    test.done();
};