/**
 * @file Test for ext.js.
 * Runs with node unit.
 */

"use strict";

var ext = require('./../../lib/ext/ext.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Ext.'] = function (test) {
    test.ok(ext);
    test.ok(ext.dateformat);
    test.ok(ext.glob);
    test.ok(ext.minimatch);
    test.ok(ext.request);
    test.done();
};