/**
 * @file Test for minify_js_string.js.
 * Runs with node unit.
 */

"use strict";

var minifyJsString = require('./../../lib/minify/minify_js_string.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Minify js string.'] = function (test) {
    var src = "(function(){var foo=123;console.log(foo);})();"
    minifyJsString(src, function (err, mini) {
        test.ifError(err);
        test.ok(mini);
        test.done();
    });
};