/**
 * @file Test for pascal_string.js.
 * Runs with node unit.
 */

"use strict";

var pascalString = require('./../../lib/string/pascal_string.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Pascal string.'] = function (test) {
    test.equal(pascalString('foo_bar'), 'FooBar');
    test.equal(pascalString('_bar_baz'), 'BarBaz');
    test.equal(pascalString(''), '');
    test.strictEqual(pascalString(null), 'Null');
    test.strictEqual(pascalString(undefined), 'Undefined');
    test.done();
};