/**
 * @file Test for patternAcceptFilter
 * Runs with nodeunit.
 * @author Taka Okunishi
 */

"use strict";

var patternAcceptFilter = require('../../lib/filtering/pattern_accept_filter.js');

exports['Pattern accept filter.'] = function (test) {
    var filter = patternAcceptFilter(/^__/);
    test.ok(filter('__foo'));
    test.ok(!filter('foo'));
    test.throws(function () {
        [1, 2, 3].filter(patternAcceptFilter);
    });
    test.done();
};