/**
 * @file Test for patternRejectFilter.
 * Runs with nodeunit.
 */

"use strict";


var patternRejectFilter = require('../../lib/filtering/pattern_reject_filter');

exports['Pattern reject filter.'] = function (test) {
    var filter = patternRejectFilter(/^__/);
    test.ok(filter('foo'));
    test.ok(!filter('__foo'));
    test.throws(function () {
        [1, 2, 3].filter(patternRejectFilter);
    });
    test.done();
};