/**
 * @file Test for prefix_map.js.
 * Runs with node unit.
 */

"use strict";

var prefixMap = require('./../../lib/mapping/prefix_map.js'),
    h = require('../_helper');

exports['Prefix map.'] = function (test) {
    var mapped = ['foo', 'baz'].map(prefixMap('quz_'));
    test.deepEqual(mapped, ['quz_foo', 'quz_baz']);
    test.throws(function () {
        [1, 2, 3].map(prefixMap);
    });
    test.done();
};