/**
 * @file Test for random_int.js.
 * Runs with node unit.
 */

"use strict";

var randomInt = require('./../../lib/random/random_int.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Random int.'] = function (test) {
    test.ok(randomInt() >= 0);
    for (var i = 0; i < 100; i++) {
        test.ok(22 <= randomInt(22, 33) <= 33);
    }
    test.done();
};