/**
 * @file Test for relative_symlink.js.
 * Runs with node unit.
 */

"use strict";

var relativeSymlink = require('./../../lib/file/relative_symlink.js'),
    h = require('../_helper');

exports['Relative symlink.'] = function (test) {
    var link = h.resolveWorkFile('work_relative_symlink');
    relativeSymlink(__filename, link, function (err) {
        test.ifError(err);
        var link2 = h.resolveWorkFile('work_relative_symlink');
        relativeSymlink(link, link2, function (err) {
            test.ifError(err);
            relativeSymlink(link, link2, function (err) {
                test.ifError(err);
                test.done();
            });
        });
    });
};