/**
 * @file Test for schema.js.
 * Runs with node unit.
 */

"use strict";

var Schema = require('./../../lib/schemas/schema.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Schema.'] = function (test) {
    var schema = new Schema({});
    test.ok(schema);
    test.throws(function () {
        schema.validate({foo: 'bar'}, function () {
        });
    });
    test.done();
};