/**
 * @file Test for test_helper.js.
 * Runs with node unit.
 */

"use strict";

var TestHelper = require('./../../lib/testing/test_helper.js'),
    h = require('../_helper'),
    fs = h.fs;

exports['Test helper.'] = function (test) {
    var helper = new TestHelper({});
    test.ok(helper);
    test.done();
};

exports['RmdirRecursiveSync.'] = function (test) {
    var w = h.resolveWorkFile('work_RmdirRecursiveSync');
    var helper = new TestHelper();
    helper._rmdirRecursiveSync(w);
    fs.mkdirSync(w);
    helper._rmdirRecursiveSync(w);
    fs.mkdirSync(w);
    fs.writeFileSync(w + '/foo.txt');
    fs.symlinkSync(w + '/foo.txt', w + '/bar.txt');
    fs.mkdirSync(w + '/quz');
    helper._rmdirRecursiveSync(w);
    test.done();
};