/**
 * @file Test for watch_all.js.
 * Runs with node unit.
 */

"use strict";

var watchAll = require('./../../lib/file/watch_all.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Watch all.'] = function (test) {
    var watchers = watchAll(__dirname, {

    });
    watchers.forEach(function (watcher) {
        watcher.close();
    });
    test.done();
};